[Stable Update] 2022-07-21 - Cinnamon 5.4, Kodi Game-Addons, Pipewire 0.3.56, KDE-Git

Hello community,

Another stable branch update with some usual updates for you.

image

Checkout the store today! From 21st till 24th we offer free standard shipping.

  • Cinnamon 5.4 series saw a lot of updates
  • Game-Addons for Kodi got renewed
  • Pipewire 0.3.56 brings more regression fixes
  • Regular KDE-git, Haskell and Python updates

Additional Info

Info about AUR packages

:warning: AUR (Arch User Repository) packages are neither supported by Arch nor Manjaro. Posts about them in Announcement topics are off-topic and will be flagged, moved or removed without warning.

:information_source: You may need to rebuild any AUR packages that install files to site-packages …

Get our latest daily developer images now from Github: Plasma, GNOME, XFCE. You get the latest stable releases of Manjaro from CDN77.


Our current supported kernels

  • linux419 4.19.252
  • linux54 5.4.206
  • linux510 5.10.131
  • linux515 5.15.55
  • linux517 5.17.15 (EOL)
  • linux518 5.18.12
  • linux519 5.19-rc7
  • linux515-rt 5.15.49_rt47
  • linux518-rt 5.18.0_rt11

Package Changes (Wed Jul 20 05:40:34 CEST 2022)

  • stable community x86_64: 200 new and 196 removed package(s)
  • stable core x86_64: 4 new and 4 removed package(s)
  • stable extra x86_64: 57 new and 58 removed package(s)
  • stable kde-unstable x86_64: 67 new and 67 removed package(s)
  • stable multilib x86_64: 8 new and 9 removed package(s)
:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2022-07-18           2022-07-21
-------------------------------------------------------------------------------
                            cinnamon              5.4.2-1              5.4.3-1
                           os-prober               1.79-1               1.81-1


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2022-07-18           2022-07-21
-------------------------------------------------------------------------------
                             absl-py              1.1.0-1                    -
                             aegisub             3.2.2-51             3.2.2-52
                        ansible-core             2.13.1-1             2.13.2-1
                                apko              0.4.0-1              0.5.0-1
                             baresip              2.5.0-1              2.5.1-1
                           benchmark              1.6.1-2              1.6.2-1
                           bitwarden           2022.6.2-1           2022.6.2-2
                       bitwarden-cli           2022.6.2-1           2022.6.2-2
                             blueman              2.2.5-1              2.3.1-1
                      budgie-desktop             10.6.1-1             10.6.2-1
                             calibre             5.44.0-1              6.1.0-1
                          cargo-edit              0.9.1-1             0.10.1-1
                             catfish             4.16.3-2             4.16.4-1
                               chafa             1.10.3-1             1.12.0-1
                             chezmoi             2.18.1-1             2.19.0-1
             cinnamon-control-center              5.4.3-1              5.4.4-1
                    cinnamon-desktop              5.4.0-1              5.4.1-1
                cinnamon-screensaver              5.4.0-1              5.4.1-1
            cinnamon-settings-daemon              5.4.1-1              5.4.2-1
                                 cjs              5.4.0-1              5.4.1-1
                                code             1.69.1-1             1.69.2-1
                              codec2            1:1.0.4-1            1:1.0.5-1
                              consul             1.12.2-1             1.12.3-1
                               copyq              6.2.0-1              6.2.0-2
                                croc              9.5.6-1              9.6.0-1
                             curtail              1.3.0-1              1.3.1-1
                              dagger             0.2.23-1             0.2.24-1
                      discord-canary            0.0.135-1            0.0.136-1
                              drupal              9.2.9-2              9.4.2-1
                         easyeffects              6.2.6-2              6.2.7-1
                              eslint             8.19.0-1             8.20.0-1
                            evilginx              2.4.0-1              2.4.0-2
                              fabric              2.7.0-1              2.7.1-1
                            geogebra          6.0.720.0-1          6.0.721.0-1
                                  go           2:1.18.3-1           2:1.18.4-1
                            go-tools           4:0.1.11-1           4:0.1.11-2
                               gopls              0.9.0-1              0.9.1-1
                      grafana-zabbix              4.2.8-1              4.2.9-1
                                grpc             1.47.0-1             1.47.1-1
                            grpc-cli             1.47.0-1             1.47.1-1
                               gtest             1.12.0-2             1.12.1-1
                       haskell-brick               0.69-5             0.69.1-1
                haskell-summoner-tui          2.0.1.1-374          2.0.1.1-375
                              hepmc2            2.06.11-1            2.06.11-2
                        hledger-iadd            1.3.17-59            1.3.17-60
                          hledger-ui              1.25-85              1.25-86
                              hwinfo              21.81-1              21.82-1
                               icewm              2.9.7-1              2.9.8-1
                              icmake            9.03.01-1            9.03.01-2
                                 inn              2.6.4-5              2.7.0-1
     intellij-idea-community-edition         4:2022.1.3-1         4:2022.1.4-1
 kodi-addon-game-libretro-beetle-psx          0.9.44.38-6          0.9.44.40-1
    kodi-addon-game-libretro-desmume           0.0.1.17-8           0.0.1.20-1
   kodi-addon-game-libretro-gambatte           0.5.0.31-6           0.5.0.33-1
    kodi-addon-game-libretro-melonds           0.9.3.27-6           0.9.3.29-1
       kodi-addon-game-libretro-mgba          0.10.0.34-6          0.10.0.35-1
   kodi-addon-game-libretro-nestopia          1.51.1.24-6          1.51.1.26-1
kodi-addon-game-libretro-parallel-n64           2.0.0.21-6           2.0.0.23-1
    kodi-addon-game-libretro-scummvm           2.1.1.23-6           2.1.1.25-1
     kodi-addon-game-libretro-snes9x          1.61.0.32-6          1.61.0.34-1
    kodi-addon-game-libretro-yabause          0.9.15.37-6          0.9.15.39-1
               kvantum-theme-materia           20220607-1           20220714-1
                        languagetool                5.7-1                5.8-1
                       libafterimage               1.20-5               1.20-6
                          libclastfm                0.5-6                0.5-7
                       libimagequant             2.17.0-3              4.0.0-1
                              libluv           1.43.0_0-1           1.44.2_0-1
                     libmusicbrainz5              5.1.0-4              5.1.0-5
                 lua-language-server              3.4.2-1              3.5.0-1
                             lua-luv           1.43.0_0-1           1.44.2_0-1
                           lua51-luv           1.43.0_0-1           1.44.2_0-1
                           lua52-luv           1.43.0_0-1           1.44.2_0-1
                           lua53-luv           1.43.0_0-1           1.44.2_0-1
                         materia-kde           20220607-1           20220714-1
                               maude                3.1-1              3.2.1-1
                             menyoki              1.6.0-1              1.6.1-1
                          metasploit              6.2.5-1              6.2.7-1
                               mmctl              7.0.1-1              7.1.0-1
                     molecule-docker              1.1.0-2              2.0.0-1
                              muffin              5.4.1-1              5.4.2-1
                                nemo              5.4.0-1              5.4.1-1
                      nemo-audio-tab              5.4.0-1              5.4.1-1
                        nemo-emblems              5.4.0-1              5.4.1-1
                     nemo-fileroller              5.4.0-1              5.4.1-1
                nemo-image-converter              5.4.0-1              5.4.1-1
                       nemo-pastebin              5.4.0-1              5.4.1-1
                        nemo-preview              5.4.0-1              5.4.1-1
                         nemo-python              5.4.0-1              5.4.1-1
                       nemo-seahorse              5.4.0-1              5.4.1-1
                          nemo-share              5.4.0-1              5.4.1-1
                       nemo-terminal              5.4.0-1              5.4.1-1
                             nerdctl             0.21.0-1             0.22.0-1
                           nextcloud             24.0.2-1             24.0.3-1
                                 nix             2.10.1-1             2.10.3-1
                            nix-docs             2.10.1-1             2.10.3-1
                               nomad              1.3.1-1              1.3.2-1
                 nomad-driver-podman              0.3.0-2              0.4.0-1
                            openfire              4.7.1-1              4.7.2-1
                            openrct2              0.4.0-1              0.4.1-1
                               opera       89.0.4447.48-1       89.0.4447.51-1
                              ospray             2.10.0-2             2.10.0-3
                  perl-finance-quote               1.51-3               1.52-1
                           perl-json               4.06-1               4.07-1
                     perl-json-parse               0.61-1               0.62-1
                            perl-ppi              1.274-2              1.275-1
               perl-software-license           0.104001-2           0.104002-1
                  perl-www-mechanize               2.08-1               2.10-1
                        perl-yaml-pp              0.032-1              0.034-1
                            php-grpc             1.47.0-1             1.47.1-1
                         php-mongodb             1.13.0-2             1.14.0-1
                           php7-grpc             1.47.0-1             1.47.1-1
                        php7-mongodb             1.13.0-2             1.14.0-1
                             pkgdiff              1.7.2-3              1.7.2-4
                            polymake                4.6-6                4.7-1
                         python-aaf2              1.5.0-1              1.6.0-1
                       python-bleach              5.0.0-1              5.0.1-1
                       python-celery              5.2.1-1              5.2.7-1
                 python-cinderclient              8.3.0-1              9.0.0-1
                   python-darkdetect              0.6.0-1              0.7.1-1
              python-designateclient              4.5.1-1              5.0.0-1
                      python-distlib              0.3.4-1              0.3.5-1
                      python-dropbox            11.32.0-1            11.33.0-1
                     python-eventlet             0.33.0-2             0.33.1-1
               python-fastjsonschema             2.15.3-1             2.16.1-1
                python-flask-htmlmin              2.1.0-2              2.2.0-1
                python-flask-migrate              3.0.0-3              3.1.0-1
               python-flask-paranoid                0.2-8              0.3.0-1
           python-flask-security-too              4.1.3-1              4.1.4-1
               python-flask-socketio              5.1.1-1              5.2.0-1
                    python-flask-wtf              1.0.0-1              1.0.1-1
                       python-grpcio             1.47.0-1             1.47.1-1
                   python-heatclient              2.5.1-1              3.0.0-1
                      python-inflect              5.6.1-1              5.6.2-1
                     python-jupymake               0.9-13               0.9-14
                   python-listparser               0.18-5               0.19-1
                     python-markdown              3.3.7-1              3.4.1-1
                  python-mygpoclient                1.8-9                1.9-1
                python-neutronclient              7.8.0-1              8.0.0-1
                        python-nose2             0.11.0-1             0.12.0-1
                       python-orjson              3.7.7-1              3.7.8-1
                       python-owslib             0.25.0-1             0.26.0-1
        python-pallets-sphinx-themes              2.0.1-4              2.0.2-1
                         python-perf              2.3.0-1              2.3.1-1
                python-podcastparser              0.6.7-3              0.6.8-1
                     python-pydrive2             1.10.1-1             1.12.1-1
                        python-pyjwt              2.2.0-3              2.4.0-1
               python-pytest-aiohttp              0.3.0-8              1.0.4-1
                  python-simplebayes              1.5.7-9              1.5.8-1
     python-sphinx-autodoc-typehints             1.12.0-1             1.13.1-1
                python-sphinx-issues              1.2.0-7              3.0.1-1
                  python-swiftclient              4.0.0-1              4.0.1-1
                      python-tempora              5.0.1-2              5.0.2-1
                                qgis             3.24.3-2             3.26.0-1
                            radicale              3.1.7-1              3.1.8-1
                              reaper               6.63-1               6.64-1
                               redis              7.0.3-1              7.0.4-1
                         release-cli             0.11.0-2             0.13.0-1
                              revive              1.1.4-2              1.2.1-1
                            rofimoji              5.4.0-3              5.5.0-1
                       roundcubemail              1.5.2-2              1.5.3-1
                        ruby-bundler             2.3.15-1             2.3.17-1
                       rust-analyzer           20220711-1           20220718-1
                        rxvt-unicode               9.26-3               9.30-1
               rxvt-unicode-terminfo               9.26-3               9.30-1
                               scite              5.2.3-1              5.2.4-1
                           seamonkey            2.53.12-1            2.53.13-1
                         singularity               1.00-4               1.00-5
                            sqlfluff              1.1.0-1              1.2.1-1
                         sstp-client           1:1.0.16-1           1:1.0.17-1
                          strawberry              1.0.5-2              1.0.6-1
                             stunnel               5.64-1               5.65-1
                         superslicer         1:2.4.58.2-3         1:2.4.58.3-1
                            supertux              0.6.3-2              0.6.3-3
                              swappy              1.4.0-1              1.4.0-2
                    systembus-notify                1.1-1                1.1-2
                             taskell           1.11.4-188           1.11.4-189
                         tensorboard              2.9.1-1              2.9.1-2
                                tepl              6.1.2-1            1:6.0.2-1
                     translate-shell           0.9.6.12-2           0.9.6.12-3
                              tt-rss 2:r11220.b59bde7b4-1 2:r11325.8f19423c2-1
                   ttf-sarasa-gothic             0.36.6-1             0.36.7-1
         v2ray-domain-list-community     20220715033720-1     20220719055203-1
                         vaultwarden             1.25.0-1             1.25.1-1
                     vaultwarden-web           2022.6.0-1           2022.6.2-1
                           veracrypt             1.25.9-2             1.25.9-3
                             wesnoth           1:1.16.4-1           1:1.16.5-1
                           wxsqlite3              4.7.8-2              4.8.2-1
                                xapp             2.2.12-1             2.2.13-1
                           xbindkeys              1.8.7-2              1.8.7-3
                           xlockmore               5.69-1               5.70-1
                         xsecurelock              1.7.0-1              1.7.0-2
                              yt-dlp         2022.06.29-1         2022.07.18-1
                                  zk             0.11.0-1             0.11.1-1
                                zola             0.15.3-1             0.16.0-2
                            corectrl                    -              1.2.4-2
                      gtksourceview3                    -1:3.24.11+r28+g73e57b57-1
                        kdesrc-build                    -              22.07-1
                           libptytty                    -                2.0-4
                         python-absl                    -              1.1.0-2
       python-sphinx-bootstrap-theme                    -              0.8.1-3


:: Different sync package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2022-07-18           2022-07-21
-------------------------------------------------------------------------------
                              hdparm               9.63-2               9.64-1
                             libldap              2.6.2-2              2.6.3-1
                         nilfs-utils              2.2.8-2              2.2.9-1
                            openldap              2.6.2-2              2.6.3-1


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2022-07-18           2022-07-21
-------------------------------------------------------------------------------
                           libnotify              0.8.0-2                    -
                       pipewire-alsa         1:0.3.55-2.0         1:0.3.56-1.0
                       pipewire-jack         1:0.3.55-2.0         1:0.3.56-1.0
                      pipewire-pulse         1:0.3.55-2.0         1:0.3.56-1.0


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2022-07-18           2022-07-21
-------------------------------------------------------------------------------
                  alsa-card-profiles           1:0.3.55-2           1:0.3.56-1
                                celt             0.11.3-4                    -
                                gcab                1.4-1                1.4-2
                                 gcr             3.41.0-2             3.41.1-1
                              gmime3              3.2.7-1             3.2.12-1
                         gnome-menus             3.36.0-1             3.36.0-2
                             gnuplot              5.4.3-6              5.4.4-1
                       gnuplot-demos              5.4.3-6              5.4.4-1
                            graphviz              4.0.0-1              5.0.0-1
                 gst-plugin-pipewire           1:0.3.55-2           1:0.3.56-1
                      gtksourceview33.24.11+28+g73e57b57-1                    -
                 ibus-typing-booster            2.15.25-1             2.17.1-1
                               imake              1.0.8-3              1.0.8-4
                              jasper              3.0.4-1              3.0.6-1
                          jasper-doc              3.0.4-1              3.0.6-1
                     lib32-rust-libs           1:1.62.0-1           1:1.62.1-1
                             libbs2b              3.1.0-7              3.1.0-8
                          libcryptui3.12.2+55+ged3b12af-11:3.12.2+r69+g9c70a43b-1
                           libmikmod           3.3.11.1-4           3.3.11.1-6
                           libnotify              0.8.0-2              0.8.1-1
                                meld             3.20.4-2             3.21.2-1
                              mpg123             1.29.3-2             1.30.1-1
              perl-crypt-openssl-rsa               0.32-2               0.33-1
                   perl-crypt-ssleay           0.73_04-16            0.73_06-1
                            pipewire           1:0.3.55-2           1:0.3.56-1
                       pipewire-alsa           1:0.3.55-2           1:0.3.56-1
                       pipewire-docs           1:0.3.55-2           1:0.3.56-1
                       pipewire-jack           1:0.3.55-2           1:0.3.56-1
                      pipewire-pulse           1:0.3.55-2           1:0.3.56-1
                       pipewire-v4l2           1:0.3.55-2           1:0.3.56-1
                   pipewire-x11-bell           1:0.3.55-2           1:0.3.56-1
                   pipewire-zeroconf           1:0.3.55-2           1:0.3.56-1
                          prometheus             2.36.2-1             2.37.0-1
                          protobuf-c              1.4.0-4              1.4.1-1
                               rtkit               0.13-1               0.13-2
                                rust           1:1.62.0-1           1:1.62.1-1
                           rust-musl           1:1.62.0-1           1:1.62.1-1
                            rust-src           1:1.62.0-1           1:1.62.1-1
                           rust-wasm           1:1.62.0-1           1:1.62.1-1
                               samba             4.16.2-1             4.16.3-1
                                 sbc                1.5-2                2.0-1
                   seahorse-nautilus3.11.92+66+g02c81f1-11:3.11.92+r88+g86214b8-1
                                 sip              6.6.2-2              6.6.2-3
                           smbclient             4.16.2-1             4.16.3-1
                               woff2              1.0.2-3              1.0.2-4
                    wxwidgets-common              3.2.0-2              3.2.0-4
                      wxwidgets-gtk3              3.2.0-2              3.2.0-4
                       wxwidgets-qt5              3.2.0-2              3.2.0-4
                  xdg-desktop-portal             1.14.4-1             1.14.5-1
                        zabbix-agent              6.0.5-1              6.2.0-1
                       zabbix-agent2              6.0.5-1              6.2.0-1
                 zabbix-frontend-php              6.0.5-1              6.2.0-1
                        zabbix-proxy              6.0.5-1              6.2.0-1
                       zabbix-server              6.0.5-1              6.2.0-1
                      zita-alsa-pcmi              0.4.0-1              0.5.1-1
                            gcr-docs                    -             3.41.1-1


:: Different overlay package(s) in repository kde-unstable x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2022-07-18           2022-07-21
-------------------------------------------------------------------------------
                    akonadi-calendar22.04.3.r2141.g3aea1a4-122.04.3.r2142.gd82e700-1
                    akonadi-contacts22.04.3.r3228.gaae941f7-122.04.3.r3229.ge11e12c3-1
                           alligator 22.06.r21.gd6f7dc5-1 22.06.r22.ge37b88b-1
                            analitza22.04.3.r2352.gb312e7db-122.04.3.r2355.g4637e049-1
                           angelfish 22.06.r20.g4e294ff-1 22.06.r21.g4ab1280-1
                                 ark22.04.3.r4818.g59745c8f-122.04.3.r4820.g239f99d3-1
                         audiocd-kio22.04.3.r1090.gb36c01e-122.04.3.r1092.g5818940-1
                       baloo-widgets22.04.3.r762.g66425c4-122.04.3.r763.gf93b9a3-1
                              breeze5.25.3.r2430.g224f6c37-15.25.3.r2431.gd012df4e-1
                           calindori  22.06.r7.g53c09da-1  22.06.r8.g8553328-1
                              cantor22.04.3.r3366.gc9d7b646-122.04.3.r3368.g4efa9889-1
                           itinerary22.04.3.r1951.g6c85057-122.04.3.r1956.g302bdf8-1
                                 juk22.04.3.r3166.ge471f665-122.04.3.r3167.g03eb4fc3-1
                                kalk  22.06.r8.g7626461-1  22.06.r9.g52b84ad-1
                             kalzium22.04.3.r4370.g254ff1d8-122.04.3.r4373.gfc36b715-1
                               kasts 22.06.r27.gce45074-1 22.06.r29.g91de33f-1
                                kate22.04.3.r19238.g2403075c3-122.04.3.r19242.gf6743520d-1
                              kclock 22.06.r13.g882a72a-1 22.06.r14.g16989c8-1
                             kconfig5.96.0.r964.gd96f19bc-15.96.0.r965.g491f5464-1
                      kdebugsettings22.04.3.r944.ge4f6a25-122.04.3.r946.g5f5c562-1
                                kded5.96.0.r467.gc7a921a-15.96.0.r468.gec9f232-1
                       kdepim-addons22.04.3.r4720.g59b1456d0-122.04.3.r4721.g5eedfcb9c-1
                    kdeplasma-addons5.25.3.r8930.g0d3c669f0-15.25.3.r8931.g7be911900-1
                            keysmith  22.06.r7.gdc845ae-1  22.06.r8.gb74e529-1
                            khangman22.04.3.r1618.gb49b93f-122.04.3.r1619.gca39294-1
                         khelpcenter22.04.3.r2757.g460a5dff-122.04.3.r2758.g1cfa9d78-1
                            khotkeys5.25.3.r2149.g831ed9e-15.25.3.r2151.g292cd1d-1
                         kinfocenter5.25.3.r2123.gc9e7a6cb-15.25.3.r2124.ge928b457-1
                                 kio5.96.0.r5587.gb323a33c9-15.96.0.r5588.g125977a27-1
                          kio-extras22.04.3.r7298.g52a56adc-122.04.3.r7299.g850d9af0-1
                           kleopatra22.04.3.r6676.ged516693-122.04.3.r6677.ga9a3f23b-1
                           kmahjongg22.04.3.r1559.g96f1bbf-122.04.3.r1565.g6d8fc1b-1
                              knotes22.04.3.r3678.ga5bdec93-122.04.3.r3679.g8a127759-1
                                koko  22.06.r6.gdd9222a-1  22.06.r7.g7152f6c-1
                            kongress  22.06.r5.gbaa77e7-1  22.06.r6.gd325480-1
                        konversation22.04.3.r9130.g08bfe884-122.04.3.r9131.g4d441ef8-1
                            kpackage5.96.0.r758.g2cc209e-15.96.0.r759.ge8b40d7-1
                           krecorder  22.06.r8.gb303c3b-1  22.06.r9.g182d96f-1
                                krfb22.04.3.r1507.g2cd15b6-122.04.3.r1511.g5173e7f-1
                            kservice5.96.0.r1023.g5b12b2d-15.96.0.r1024.g7b06291-1
                               ktrip  22.06.r7.g6c20cf6-1  22.06.r8.g162e6ef-1
                            kwayland5.96.0.r1170.ge5fda97-15.96.0.r1172.g5227e3f-1
                            kweather 22.06.r15.g1d904fb-1 22.06.r16.gc572d1b-1
                                kwin5.25.3.r22762.ge801819a2-15.25.3.r22771.ga0c8d4b24-1
                              kwrite22.04.3.r19238.g2403075c3-122.04.3.r19242.gf6743520d-1
                             neochat22.06.r43.gf80039a5-122.06.r47.ga7504876-1
                              oxygen5.25.3.r4497.g489752e0-15.25.3.r4499.g84305086-1
                    plasma-bigscreen      r486.g8952b8f-1      r487.g95c8e34-1
          plasma-browser-integration5.25.3.r1338.g5b57c8be-15.25.3.r1339.g3ba5d473-1
                      plasma-desktop5.25.3.r9428.g582571ad2-15.25.3.r9437.g292b5c635-1
                       plasma-dialer 22.06.r15.g5714110-1 22.06.r16.gf6cf597-1
                        plasma-disks5.25.3.r285.gd2e6d02-15.25.3.r286.g3f58a5f-1
                       plasma-mobile5.25.3.r1911.g29d5afaac-15.25.3.r1912.g5a9802ae5-1
                    plasma-phonebook  22.06.r4.gd3c3687-1  22.06.r5.g62a98d0-1
                     plasma-settings 22.06.r29.gaed5bc7-1 22.06.r30.g1e6d45b-1
                plasma-systemmonitor5.25.3.r594.g30b8d8b-15.25.3.r595.ga6b72e0-1
              plasma-wayland-session5.25.3.r12082.gc07d105ad-15.25.3.r12087.g6ec7a9f0a-1
                    plasma-workspace5.25.3.r12082.gc07d105ad-15.25.3.r12087.g6ec7a9f0a-1
         plasma-workspace-wallpapers5.25.3.r360.g7705661-15.25.3.r361.g2c96c7a-1
                          plasmatube  22.06.r6.g858abe4-1  22.06.r7.g07b6f24-1
                       print-manager22.04.3.r1145.g5d29881-122.04.3.r1147.g66eda1f-1
                             purpose5.96.0.r983.ge4ae404-15.96.0.r984.g51e3a30-1
                          qmlkonsole  22.06.r9.g3b1160f-1 22.06.r10.ga75f5ab-1
                               solid5.96.0.r783.gc6adb1e-15.96.0.r784.g8c9ad6a-1
                           spectacle22.04.3.r1373.gba86116-122.04.3.r1374.gf32cc2f-1
                             tokodon 22.06.r13.g21aae2b-1 22.06.r14.g565052f-1
                         vakzination  22.06.r9.g872245a-1 22.06.r10.gdaac6be-1


:: Different sync package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2022-07-18           2022-07-21
-------------------------------------------------------------------------------
                          lib32-celt             0.11.3-4                    -
                       lib32-libldap              2.6.2-1              2.6.3-1
                     lib32-libmikmod           3.3.11.1-5           3.3.11.1-6
                         lib32-libnl              3.6.0-1              3.7.0-1
                        lib32-mpg123             1.29.3-1             1.30.1-1
                      lib32-pipewire           1:0.3.55-2           1:0.3.56-1
                 lib32-pipewire-jack           1:0.3.55-2           1:0.3.56-1
                 lib32-pipewire-v4l2           1:0.3.55-2           1:0.3.56-1
                        wine-staging               7.12-1               7.13-1

  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:

15 Likes

Known issues and solutions

:information_source: This is a wiki post; please edit as necessary.
:star: Please, consider subscribing to the Stable Updates Announcements RSS feed


Please don’t post to say everything was great on my side or yes, I have the same error but leave the space for people having issues, or even better: for people having solutions!
Use :beer: :coffee: :heart: instead to let us know you’re suffering from the same so we can respond to the highest impacted issues first! :unicorn: :rainbow: :question:


:arrow_right: 2022-07-21

2022-07-18

wxWidgets 3.2 update may need manual intervention

Packages have been renamed from wxgtk- to wxwidgets-. The GTK2 frontend is no longer provided. If you have wxgtk2 installed, the upgrade will fail with:

In such case, uninstall wxgtk2 first and then proceed with the upgrade.

2022-07-12

Wireplumber 0.4.11 may crash for GDM users

Currently there is an issue with 0.4.11 and GDM crashing on boot-up. More in the upstream bugtracker issue: wireplumber segfault: system boot and could see in my dmesg (#305) · Issues · PipeWire / wireplumber · GitLab

2022-06-12

Akonadi (KMail / Kontact / KOrganizer...) fails to start
touch ~/.local/share/akonadi/db_data/ib_logfile0
akonadictl start
mariadb-upgrade --defaults-file=~/.local/share/akonadi/mysql.conf --socket=/run/user/$(id -u)/akonadi/mysql.socket
Locale file changes

C.UTF8 locale is now included in glibc:

Credits @diabonas for this change. Systemd wants us to include C.UTF8 by default and it seems the locale may be in included by glibc upstream in the future. To fix building and avoid nasty fixing in devtools, we include the locale in the package. See systemd/systemd#23252 (comment) FS#74864 : [systemd] >= 251 breaks devtools' locale

There is a pacsave for /etc/locale.conf as it has been removed from the filesystem package. /etc/locale.conf will automatically be restored if it did not already exist.

There is a pacnew for /etc/locale.gen. Please review it and regenerate your locale if necessary.

2022-05-13

Chromium / Google Chrome cannot save files to most folders (GNOME and Xfce)

This is an upstream bug with the package xdg-desktop-portal-gnome

In the meantime, you can try to remove the package xdg-desktop-portal-gnome (if feasible, without any dependency issues or conflicts), or wait for the bug to be fixed upstream.

Without any xdg-desktop-portal-* packages, Chromium and Google Chrome should correctly detect the environment and present either KDialog (KDE) or GTK file picker (GNOME, Xfce) upon saving and downloading files.

An alternative workaround, for now, is to intentionally click on the filename field, and then press Enter to save / download the file.

GNOME 42: theming and COSMIC packages changes, Bluetooth disabled by default
libkipi: Pamac fails to build the package from AUR
  • libkipi is a deprecated dependency for some KDE applications, and has been moved to AUR.
  • When using Pamac graphically, you can disable the update for libkipi, before removing it from your system.
  • When using Pamac from the terminal, you can proceed the update in multiple steps:
pamac upgrade --no-aur
pamac remove libkipi
pamac upgrade --aur
Timeshift: new rsync snapshots do not show
Wine: cannot be built locally

2022-05-10

QEMU >= 7.0.0 changes split package setup

2022-05-09 - David Runge

With the update to qemu 7.0.0 the package has been turned into a more fine grained split package utilizing meta packages.

  • The qemu package is now virtually provided by the meta packages qemu-base, qemu-desktop and qemu-full.
  • The functionality of qemu prior to 7.0.0 is replaced by qemu-desktop
  • The functionality of qemu-headless is replaced by qemu-base
  • The functionality of qemu-arch-extra and qemu-headless-arch-extra is replaced by qemu-emulators-full
  • The meta package qemu-full provides all QEMU related packages (excluding qemu-guest-agent)
4 Likes
Missing keys...
 Total (224/224)       639.0 MiB  1177 KiB/s 09:16 [#######] 100%
(224/224) checking keys in keyring                 [#######] 100%
downloading required keys...
:: Import PGP key 139B09DA5BF0D338, "David Runge <dvzrv@archlinux.org>"? [Y/n] y
(224/224) checking package integrity               [#######] 100%
error: python-fastjsonschema: signature from "David Runge <dvzrv@archlinux.org>" is marginal trust
:: File /var/cache/pacman/pkg/python-fastjsonschema-2.16.1-1-any.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] n
error: zita-alsa-pcmi: signature from "David Runge <dvzrv@archlinux.org>" is marginal trust
:: File /var/cache/pacman/pkg/zita-alsa-pcmi-0.5.1-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] n
error: failed to commit transaction (invalid or corrupted package)
Errors occurred, no packages were upgraded.
# 

Resolved with:

sudo pacman-mirrors -f0
sudo pacman -Sy archlinux-keyring manjaro-keyring
sudo pacman-key --populate archlinux manjaro
sudo pacman-key --refresh-keys
sudo pacman -Syyuw
2 Likes

This is fast. How can a stable update not require a reboot? :joy:

1 Like

BTW, after the previous update, I did some stuff with these wx… packages and could get all AUR packages that depended on them to work again except for wxwabbitemu-git. I’ve reported the issue on their tracker. I was asked for a log and because it’s a C++ installation, the log is tens of thousands of lines long, so maybe they’re still reading it to this day. :smiley:

If there’s nothing too integral to the system that got updated, you could just restart the affected programs, for example the desktop environment, the window manager, etc. How you do that depends a lot on which ones you use. But most major updates to Manjaro also update the kernel or other very deep underlying parts, so rebooting is recommended anyway.

1 Like

I know. I was just joking. :joy:

The package python-wxpython-dev would not update. Manually disabled it, rest of the update went fine.

There is no error message as such, it hangs on “cloning python-wxpython-dev build files” and doesn’t go any further. Googling has not got me any answers.

4 posts were split to a new topic: Ruby-bundler: /usr/bin/bundle exists in filesystem

Hi,

When I tried to use VirtualBox all my images failed to load and a popup appeared showing NS_ERROR_FAILURE (0x80004005). In the forum one can find several solutions for the problem, however the one that worked for me was:

What I noticed is that my extension was 6.1.36, but VB was 6.1.34, so I downloaded the correct extension from here:
https://download.virtualbox.org/virtualbox/6.1.34/Oracle_VM_VirtualBox_Extension_Pack-6.1.34.vbox-extpack

After loading VB as root and manually installing it, everything worked fine again.

Cheers

3 Likes

I always set the package “virtualbox-ext-oracle” to ignore in pamac. I only install it when an update matches the version. This works quite well.

3 Likes

I suggest you ignore it first, upgrading the system, and then see if you can upgrade it.

Hi, I am struggling to apply the latest update. I get the following error before I can apply what I think are the packages from the 7/18 update:

could not satisfy dependencies:

  • removing lib32-alsa-lib breaks dependency ‘lib32-alsa-lib’ required by lib32-alsa-plugins
  • removing lib32-alsa-lib breaks dependency ‘libasound.so=2-32’ required by lib32-alsa-plugins

I managed to get all other package updates to go through by ignoring the 3 alsa packages, although the first time I tried, the updated libnotify package was giving me 404 errors from all mirrors. alsa-lib, alsa-card-profiles, and alsa-ucm-conf are still floating around in my pamac and refuse to update.

edit: this is now blocking all new package installations, even if they have nothing to do with alsa.

error t=2022-07-21T13:00:19Z
[xapp-status@cinnamon.org]: No JS module ‘recordingIndicator’ found in search path
[xapp-status@cinnamon.org]: Error importing applet.js from xapp-status@cinnamon.org

After updating, I get the Cinnamon message where it tells me an applet or extension didn’t load properly, checking the logfiles shows this, XApp Status Applet is also a system applet so It’s not something I can just change and uninstall.

1 Like

I ran VB for years and dealt with all these little quirks over the last year i converted my VB image to qcow2 and starting using KVM… is there any particular reason you arent running KVM… its native built into the kernel… just convert your virtual box image to qcow2 and you are off the races!! and no more crap shoot every update

2 Likes

Not fast enough. :angry: It’s been 18 hours since the release of the July 21 Stable Update.

EIGHTEEN HOURS AGO! Why are they waiting so long to release the next Stable Update?

I want to use KDE 8 alpha pre-release right now. They introduced “sparkly windows”, which surrounds the application’s window border with an animated lighting effect, which you can customize and sync with your bluetooth RGB light strips! I NEED this feature. It’s not fair that Arch Linux, Gentoo, and KDE Neon get to have all the fun before us! :sob:

Following the update (a combination of the 7-18 & 7-21 patches) and reboot I now have the AUR package celt pending an AUR update.

I did not manually install this package, was it something that was moved to the AUR? Can I just remove this package safely?

Edit: I can find celt being removed from the changelog of the testing 7-20 update but not from any record on stable release posts. I don’t know why so any advice on what to do with this package is welcome.

4 Likes

Thank you @Cytomax for the tip. I once read something about that conversion, but in the end I just forgot about it. I will try it.

:point_down:

Even if the AUR support is disabled in Pamac?